# This spec is backported to ALTLinux 4.0 automatically by rpmbph script. Do not edit it.
#
Name: wine-school
Version: 0.9.5
Release: alt0.M40.1

Summary: Wine School - enviroment for running Windows applications
Summary(ru_RU.UTF-8): Школьный Вайн - среда для запуска программ Windows

License: LGPL
Group: Emulators
Url: http://winehq.org.ru/School

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source tarball from git.etersoft.ru (with Etersoft's addons and patches)
Source: ftp://updates.etersoft.ru/pvt/Etersoft/School/sources/tarball/%name-%version.tar.bz2

AutoReq: yes, noperl

# Thanks PLD folks for the note:
# NOTE: wine detects the following SONAMES for dlopen at build time:
#   libssl (libcrypto inside) (wininet.dll)
#   libcups (winspool.dll.so, wineps.dll.so)
#   libcurses/libncurses/libncursesw (wineconsole program)
#   libfontconfig (gdi32.dll.so)
#   libfreetype (wineps.dll.so, gdi32.dll.so)
#   libGL (x11drv.dll.so, ddraw.dll.so)
#   libjack (winejack.drv.so - explicit dependency in subpackage)
#   libX11, libXext, libXi, libXrender (x11drv.dll.so)
# thus requires rebuild after change of any of the above.
#

#==========================================================================

# Needed freetype (it is recommended to use 2.1.10 for better results)
%define freetype_ver 2.1.9

# General dependencies
BuildRequires: rpm-build-compat >= 0.95
BuildRequires: gcc util-linux flex bison
BuildRequires: fontconfig-devel libfreetype-devel >= %freetype_ver
BuildRequires: libncurses-devel libncursesw-devel libtinfo-devel
BuildRequires: libssl-devel zlib-devel libldap-devel
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: libjpeg-devel liblcms-devel libpng-devel
BuildRequires: libusb-devel libgphoto2-devel libsane-devel libcups-devel
BuildRequires: libalsa-devel jackit-devel libieee1284-devel
BuildRequires: libGLU-devel

BuildRequires: xorg-x11-proto-devel libICE-devel libSM-devel
BuildRequires: libX11-devel libXau-devel libXaw-devel libXrandr-devel
BuildRequires: libXext-devel libXfixes-devel libXfont-devel libXft-devel libXi-devel
BuildRequires: libXmu-devel libXpm-devel libXrender-devel
BuildRequires: libXres-devel libXScrnSaver-devel libXinerama-devel libXt-devel
BuildRequires: libXxf86dga-devel libXxf86misc-devel libXcomposite-devel
BuildRequires: libXxf86vm-devel libfontenc-devel libXdamage-devel
BuildRequires:  libXvMC-devel libXcursor-devel libXevie-devel libXv-devel

# Loads with dl_open
Requires: fontconfig

%if %_vendor == "alt"
ExclusiveArch:  %{ix86}
# x86_64
Requires: webclient
BuildRequires: desktop-file-utils
# Use it instead proprietary MS Core Fonts
Requires: fonts-ttf-liberation

# Comment out due desktop-file-utils is missed in ALD 4.0
# For menu/MIME subsystem
#Requires(post): desktop-file-utils
#Requires(postun): desktop-file-utils
%endif

Requires: lib%name = %version-%release
Conflicts: wine

#=========================================================================

%description
Wine School is prepared for using Windows programs on various Linux systems.
Wine does not require Microsoft Windows.
Wine is an Open Source implementation of the Win32 API on top of X and Unix.
Think of Wine as a compatibility layer for running Windows programs.

Check http://winehq.org.ru/School for additional information.

%description -l ru_RU.UTF-8
Школьный Вайн предназначен для исполнения Windows-программ в различных вариантах
Линукс-систем.
Wine не требует наличия Microsoft Windows, это альтернативная реализация API Win32,
состоящая из полностью свободного кода.

Обращайтесь за дополнительной информацией на сайт http://winehq.org.ru/School

%package -n %name-test
Summary: WinAPI test for Wine
Summary(ru_RU.UTF-8): Тест WinAPI для Wine
Group: Emulators
Requires: %name = %version-%release

%description -n %name-test
WinAPI test for Wine (unneeded for usual work).
Warning: it may kill your X server suddenly.

%package -n lib%name
Summary: Main library for Wine
Group: System/Libraries
Conflicts: libwine

# Load with dl_open
Requires: libcups libssl
Requires: libfreetype >= %freetype_ver

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with Wine.

%description -n lib%name -l ru_RU.UTF-8
Этот пакет состоит из библиотек, которые реализуют Windows API.

########## separate libraries
%package -n lib%name-gl
Summary: DirectX/OpenGL support libraries for Wine
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name-gl
This package contains the libraries for DirectX/OpenGL support in Wine.

%package -n lib%name-twain
Summary: Twain support library for Wine
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name-twain
This package contains the library for Twain support.

##########################################################################
%package -n lib%name-devel
Summary: Headers for lib%name-devel
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: wine-devel
Provides: wine-devel

%description -n lib%name-devel
lib%name-devel contains the header files and some utilities needed to
develop programs using lib%name.

%description -n lib%name-devel -l ru_RU.UTF-8
lib%name-devel содержит файлы для разработки программ, использующих Wine:
заголовочные файлы и утилиты, предназначенные
для компилирования программ с lib%name.

%package -n lib%name-devel-doc
Summary: Documentation for lib%name-devel
Group: Development/Documentation

%description -n lib%name-devel-doc
Development documentation for Wine API.

%package -n lib%name-devel-static
Summary: Static libraries for lib%name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
lib%name-devel-static contains the static libraries needed to
develop programs which make use of Wine.

##########################################################################

%prep
%setup -q -n %name-%version

%build
%configure --enable-dll --with-x \
	--enable-opengl \
	--without-esd \
	--without-ldap --without-jack \
	--without-hal

%__make depend

# hack for strange rpath behaviour
export LD_LIBRARY_PATH=`pwd`/libs/wine
%make_build

%if %_vendor == "alt"
%make -C documentation htmlpages
%endif

##########################################################################

%install
%makeinstall_std initdir=%_initdir

# CHECKME: Strip binaries due some dummy distro
%if %_vendor != "alt"
strip %buildroot/%_libdir/*.so*
strip %buildroot/%_libdir/wine/*.so*
%endif

# Do not pack non english man pages yet
rm -rf %buildroot%_mandir/*.UTF-8

%pre
%groupadd wine || :
%groupadd wineadmin || :

%post
%post_service wine
%update_menus
%update_desktopdb
%if %_vendor != "alt"
# start service if first time install (not for ALT), see rpm-build-compat
%start_service wine
%endif

%postun
%clean_menus
%clean_desktopdb

%preun
%preun_service wine

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%doc ANNOUNCE AUTHORS LICENSE README
%lang(de) %doc documentation/README.de
%lang(es) %doc documentation/README.es
%lang(fr) %doc documentation/README.fr
%lang(hu) %doc documentation/README.hu
%lang(it) %doc documentation/README.it
%lang(ko) %doc documentation/README.ko
%lang(nb) %doc documentation/README.no
%lang(pt) %doc documentation/README.pt
%lang(pt_BR) %doc documentation/README.pt_br
%lang(tr) %doc documentation/README.tr
%_bindir/wine
%_bindir/wine-*
%_bindir/regsvr32
%_bindir/winecfg

# link to wine for backward compatibility
%_bindir/wineprefixcreate
%_bindir/ieinstall
%_bindir/ieuninstall
%_bindir/winetricks
%_bindir/setnethasp
%_bindir/winelog
%_bindir/winesplash
%_bindir/fix_1c_edu

%_bindir/wineconsole
%_bindir/wineserver
%_bindir/wineshelllink

%_bindir/msiexec
%_bindir/notepad
%_bindir/progman
%_bindir/regedit
%_bindir/uninstaller
%_bindir/winedbg
%_bindir/wineboot
%_bindir/winefile
%_bindir/winemine
%_bindir/winepath
%_bindir/winebrowser
%_libdir/wine/*.exe.so

%_initdir/wine
%_initdir/wine.outformat
# _localstatedir is broken on some systems as ALT Linux
#%attr(0775 root wineadmin) %dir %_localstatedir/wine/
%attr(0775 root wineadmin) %dir /var/lib/wine/
%dir %_sysconfdir/wine/
%_sysconfdir/wine/*.reg
%config(noreplace) %_sysconfdir/wine/map_devices.sh
%_sysconfdir/wine/preinstall-school.sh
%_sysconfdir/wine/flash.sh
%config(noreplace) %_sysconfdir/sysconfig/wine
%_desktopdir/*
%_datadir/desktop-directories/wine.directory
%_iconsdir/*
%dir %_datadir/wine/
%_datadir/wine/ies4linux/
%_datadir/wine/skel/
%_datadir/wine/menu.directory
%_datadir/wine/winesplash.xpm

%_man1dir/wine.1*
%_man1dir/wineserver.1*
%_man1dir/winedbg.1.*


%files -n lib%name
%doc LICENSE AUTHORS COPYING.LIB
%_libdir/libwine*.so.*
%dir %_libdir/wine/
%_libdir/wine/*.dll16
%_libdir/wine/*.drv16
%_libdir/wine/*.exe16
%_libdir/wine/*.drv.so
%_libdir/wine/*.dll.so
%_libdir/wine/*.acm.so
%_libdir/wine/*.ocx.so
%_libdir/wine/*.vxd.so
%_libdir/wine/*.tlb.so
%_libdir/wine/*.sys.so
%_libdir/wine/winoldap.mod16
%_datadir/wine/generic.ppd
%_datadir/wine/wine.inf
%_datadir/wine/fonts/

# move to separate packages
%exclude %_libdir/wine/twain*
%exclude %_libdir/wine/d3d10.dll.so
%exclude %_libdir/wine/d3d8.dll.so
%exclude %_libdir/wine/d3d9.dll.so
%exclude %_libdir/wine/d3dx8.dll.so
%exclude %_libdir/wine/d3dxof.dll.so
%exclude %_libdir/wine/opengl32.dll.so
%exclude %_libdir/wine/glu32.dll.so
%exclude %_libdir/wine/wined3d.dll.so


%files -n lib%name-twain
%doc README.TWAIN dlls/twain_32/TWAIN
%_libdir/wine/twain*
%_libdir/wine/gphoto2.ds.so
%_libdir/wine/sane.ds.so

%files -n lib%name-gl
%_libdir/wine/d3d10.dll.so
%_libdir/wine/d3d8.dll.so
%_libdir/wine/d3d9.dll.so
%_libdir/wine/d3dx8.dll.so
%_libdir/wine/d3dxof.dll.so
%_libdir/wine/opengl32.dll.so
%_libdir/wine/glu32.dll.so
%_libdir/wine/wined3d.dll.so

%files -n lib%name-devel
%doc LICENSE LICENSE.OLD README.winedump
%_bindir/fnt2dbf
%_bindir/winebuild
%_bindir/wmc
%_bindir/wrc
%_bindir/widl
%_bindir/wineg++
%_bindir/winegcc
%_bindir/winecpp
%_bindir/winedump
%_bindir/winemaker

%_includedir/wine/
%_libdir/lib*.so
%_libdir/wine/lib*.def
%_libdir/wine/libwinecrt0.a
%_aclocaldir/wine.m4

%_man1dir/wmc.1*
%_man1dir/wrc.1*
%_man1dir/widl.1*
%_man1dir/winebuild*
%_man1dir/winedump.1.*
%_man1dir/wineg++.1.*
%_man1dir/winegcc.1.*
%_man1dir/winemaker.1.*


%if %_vendor == "alt"
# WineAPI documentation
%files -n lib%name-devel-doc
%doc documentation/html
%endif

%files -n lib%name-devel-static
%_libdir/wine/lib*.a
%exclude %_libdir/wine/libwinecrt0.a

%changelog
* Mon Jul 14 2008 Andrey Cherepanov <cas@altlinux.ru> 0.9.5-alt0.M40.1
- backport to ALTLinux 4.0 (by rpmbph script)

* Mon Jul 14 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.5-alt1
- fix eterbugs #1844, 1995, 1997, 2113
- fix environment creating
- direct call init functions from libfreetype and libfontconfig (fix altbug #16230)

* Sat Jul 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.4-alt1
- merge with upstream (wine 1.1.1)
- skip registry saving if file is read only (fix eterbug #1920)
- fix WMP related eterbugs #1633, 1750, 1954, 1978, 1998, 2087
- close mplayer script issues (eterbugs #1979, #2026)
- implemented mlang:fnIMLangFonChi_vivra',_vedra'..._-_Пятая_Конференция_разработчиков_свободных_программ_на_ПротвеtLink_GetStrCodePages (eterbug #2013)
- add desktop files for admin and update command (fix eterbug #2106)

* Sat Jul 05 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.3-alt1
- merge with upstream
- add X11 winesplash

* Mon Jun 30 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt1
- fix winebrowser (eterbug #2001)
- small fixes, fix CreateWindow hack (see eterbug #1981)
- fix mplayer (and other commands run (eterbug #2027)

* Sun Jun 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt3
- links redistributed files instead copying
- disable decoration for all KM School modules (eterbug #1628)
- enable write wine.log file for non tty mode (eterbug #1978)
- fix wmp for play relative urls

* Sat Jun 28 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt2
- add progress bar during initialization
- disable K-Lite codec install windows
- fix to use rpm-build-compat 0.95

* Sat Jun 28 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- merge with upstream wine 1.1
- fix eterbugs #1637, 1953

* Fri Jun 27 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt4
- fix HTTP/1.1 support in wininet.dll (eterbug #1822)

* Fri Jun 27 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt3
- read start script config from /etc/sysconfig/wine
- fix video playing from browser window (fix eterbug #1998)
- register wmp.dll
- do not translate Url for host wrappers (ooffice and so on)

* Thu Jun 26 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt2
- improve WMP interfaces
- add fixes and test for wininet
- fix IProvideClassInfo in mshtml

* Tue Jun 24 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt1
- add icons for text and table documents (eterbug #1800)
- fix mplayer wrapper registry entries
- disable mozilla activex for flash
- add patcher for 1C Edu (run fix_1c_edu)
- fix bug with rotated font (eterbug #1964)
- rewrote wine start script in admin mode area
- disable hal support

* Tue Jun 24 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt2
- merge with upstream dd01d39f3b8aac237a332a153af8bebf5015d6fb
- disable window decoration for KM-School (eterbug #1628)

* Tue Jun 24 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt1
- merge with upstream
- fix wine first run initialization
- move glu32.dll.so to libwine-gl package
- cleanup spec
- add wrapper for chm viewer

* Mon Jun 23 2008 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt2
- add host media player wrapper (mplayer script)
- fix bug in wmp.dll (eterbugs #1943, #1954)

* Sun Jun 22 2008 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt1
- merge with upstream, wine 1.0 release
- add initial wmp.dll realization (eterbug #1844)
- add mozilla activex plugin, add unzip
- fix eterbug #954, #1951

* Wed Jun 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt3
- merge with upstream

* Mon Jun 02 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt2
- merge with upstream, 1.0rc3

* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt1
- merge with upstream

* Tue May 27 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt4
- merge with upstream
- fix wine environment initialization and components installing part
- cleanup spec, update summary, description

* Wed May 21 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt2
- add liberation font dependence
- fix bitmap font rotating issue (eterbug #1819)
- fix Microsoft Sanf Serif issue (eterbug #1637)

* Mon May 19 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt1
- disable esd, ldap, jack support build

* Thu May 15 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt2
- add component installing support

* Wed May 14 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt1
- update to current upsteam
- remove winhelp wrapper from bindir

* Tue May 13 2008 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt1
- mask output during install 3rd part components

* Mon May 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt1
- fix eterbugs #1786, #1790
- disable unuseful fixmes
- fix winetricks dir

* Sat May 10 2008 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- WINE@Etersoft School 1.0.0 alpha release (Wine 1.0-rc1 release)
